Subject: Ticket Assigned - Complaint for parcel delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 25 Feb 2022 19:10:54 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint for parcel delivery Hi

I ordered from centerpoint and selected drop nearby option delivery.
I recieved this messege and call also.

VALIDATION CODE: 521584
Parcel Number: #LM561937650
Your parcel is waiting for you at your local shop! At 27/02/2022 it will be
returned to SPLASH
Don't forget to collect it from Al Rahden Cleaners, Near Dominos Pizza,
Tamir Street, Muruj, Riyadh.
Location Map: https://fodel.com/maps/mvxaVTJyHRUYyHqQA
Shop Timing: Sun-Sat: 8:00-23:30 (break: 13:00-16:00)
((For any inquiries please call: 966542387485))

I am at the location and asking Rahden cleaners shopkeeper for the parcel.
He said parcel is not available here and above all  he is so so rude and
ill-mannered, such a pathetic experience with him. He was not even
listening to me anything so that he can check for code or parcel actually.

I am calling at inquiry number also but dont get any response till now.

Kindly, contact me and file a report in this regard.

Farah Masood.

0591171755

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3944145